"use client";
import o from "../../../../../decimal.js-light/decimal.js";
import { curry as u } from "./utils.js";
function l(t) {
  var e;
  return t === 0 ? e = 1 : e = Math.floor(new o(t).abs().log(10).toNumber()) + 1, e;
}
function v(t, e, n) {
  for (var r = new o(t), i = 0, a = []; r.lt(e) && i < 1e5; )
    a.push(r.toNumber()), r = r.add(n), i++;
  return a;
}
u((t, e, n) => {
  var r = +t, i = +e;
  return r + n * (i - r);
});
u((t, e, n) => {
  var r = e - +t;
  return r = r || 1 / 0, (n - t) / r;
});
u((t, e, n) => {
  var r = e - +t;
  return r = r || 1 / 0, Math.max(0, Math.min(1, (n - t) / r));
});
export {
  l as getDigitCount,
  v as rangeStep
};
